import { IgxScatterBaseComponent } from "./igx-scatter-base-component";
import { ScatterSplineSeries } from "./ScatterSplineSeries";
import * as i0 from "@angular/core";
/**
 * Represents a IgxDataChartComponent scatter spline series
*/
export declare class IgxScatterSplineSeriesComponent extends IgxScatterBaseComponent {
    protected createImplementation(): ScatterSplineSeries;
    /**
                                 * @hidden
                                 */
    get i(): ScatterSplineSeries;
    constructor();
    /**
     * Gets or sets the Stiffness property.
    */
    get stiffness(): number;
    set stiffness(v: number);
    static ngAcceptInputType_stiffness: number | string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxScatterSplineSeriesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxScatterSplineSeriesComponent, "igx-scatter-spline-series", never, { "stiffness": "stiffness"; }, {}, never, never>;
}
